View source Improve this doc

# `ngClick`
directive in module `ng`

## Description

The ngClick allows you to specify custom behavior when element is clicked.

## Usage

as attribute

    <ANY ng-click="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-click: {expression};">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
ngClick | expression | Expression to evaluate upon click. (Event object is available as `$event`)

## Example

#### Source

## Demo